All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
row_major.hpp File Reference

Determines whether a given expression has a row-major matrix layout. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/meta/result_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename T >
bool | viennacl::traits::row_major (T const &)
template<typename NumericT >
bool | viennacl::traits::row_major (matrix_base< NumericT > const &A)
template<typename LHS , typename RHS , typename OP >
bool | viennacl::traits::row_major (matrix_expression< LHS, RHS, OP > const &proxy)

## Detailed Description

Determines whether a given expression has a row-major matrix layout.

Definition in file row_major.hpp.